Bug 582553 - Maximum group name length is wrong, and changed mid-release
Maximum group name length is wrong, and changed mid-release
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-15 06:11 EDT by Mitchell Berger
Modified: 2010-12-03 10:52 EST (History)
4 users (show)

See Also:
Fixed In Version: shadow-utils-4.1.4.2-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:52:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build with a maximum group name length of 32, as documented (336 bytes, patch)
2010-04-15 06:11 EDT, Mitchell Berger
no flags Details | Diff

  None (edit)
Description Mitchell Berger 2010-04-15 06:11:54 EDT
Created attachment 406728 [details]
Build with a maximum group name length of 32, as documented

Description of problem:
The maximum permissible length of a group name was 32 characters
when Fedora 11 shipped.  It is still documented as such in
groupadd(8)'s man page.  However, the behavior of groupadd has
changed such that the maximum length is now 16 characters.  Aside
from not matching documented behavior, this means that any
package which creates a group whose name is between 16 and 32
characters used to work fine on F11, but is no longer able to
install correctly.

Version-Release number of selected component (if applicable):
4.1.4.1-5.fc11.x86_64
4.1.4.2-2.fc12.x86_64
(probably future versions as well)

How reproducible:
100%

Steps to Reproduce:
1. Attempt to add a group with a name longer than 16, but shorter
   than 32 characters, for example:
   [root@zamboni mitchb]# groupadd -r nss-nonlocal-users
  
Actual results:
The following error is displayed and the group is not created:
  groupadd: 'nss-nonlocal-users' is not a valid group name

Expected results:
Successful group creation.

Additional info:
The Fedora package used to include a patch (the "goodname" patch)
which slightly changes the rules for what constitutes a legal group
name (for example, allowing a '$' at the end) and also changed the
hardcoded 16-character limit from the upstream software to
length(utmpx.ut_user).  That length is __UT_NAMESIZE (defined to
be 32 in bits/utmpx.h).

The upstream version of shadow-utils that Fedora updated to made
a change such that the max name length defaults to 16, but is
adjustable at configure-time via a --with flag.  As a result, the
hunk of the "goodname" patch described above no longer applied and
was dropped from Fedora's patch.  However, the configure flag
--with-group-name-max-length=32 was not added to the spec file,
and as a result, when the new package was built, the max name
length reverted to the default of 16.

The attached patch to the spec file will return the limit to
32 characters.  I've been running a shadow-utils patched with
this small fix on several servers for some time now, and it appears
to work properly.  It would be great if this update could be
applied soon so that other packages which make use of longer
group names are once again able to be properly installed.
Comment 1 Bug Zapper 2010-04-28 08:02:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Miroslav Vadkerti 2010-04-28 09:04:05 EDT
This also appears in fedora 12 and should be fixed in upcoming F13. Please backport.
Comment 3 Jan ONDREJ 2010-04-28 09:22:56 EDT
I have same problems. Please make an update or at least tell me, that you have no time and need help.
Comment 4 Fedora Update System 2010-04-28 09:43:24 EDT
shadow-utils-4.1.4.2-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/shadow-utils-4.1.4.2-3.fc12
Comment 5 Mitchell Berger 2010-04-28 16:31:00 EDT
Hi Peter - I see that you've applied the patch and built updates
including it for F12, F13, and Rawhide - thanks!  I'd appreciate
if you could apply the patch and build for F11 as well, since
that's where I ran into the problem, where I tested the patch,
and since it would be very unfortunate to leave some packages
broken mid-release as F11 is nearing the end of its life.
Comment 6 Fedora Update System 2010-04-30 13:19:00 EDT
shadow-utils-4.1.4.2-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update shadow-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/shadow-utils-4.1.4.2-3.fc12
Comment 7 Fedora Update System 2010-05-17 15:05:40 EDT
shadow-utils-4.1.4.2-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Mitchell Berger 2010-05-17 15:48:59 EDT
Peter, you have still not applied this fix to F11.

I've reopened the bug.  I've asked nicely.  I've provided
a patch.  I'm really not sure what else I can do.  Please
fix this.
Comment 9 Bug Zapper 2010-11-03 13:05:26 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-03 10:52:58 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.